Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.wtc.gwt
Class TpacallAsyncReplyImpl

    java.lang.Object
      |
      +--weblogic.wtc.gwt.TpacallAsyncReplyImpl

public final class TpacallAsyncReplyImpl
extends java.lang.Object
implements GatewayTpacallAsyncReply

This class wraps the original async reply, so that it can be associated with the exact ATMI interface that was used when it was called

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`TpacallAsyncReplyImpl(TpacallAsyncReply originalAsyncReply, TuxedoConnection originalAtmi, Transaction myTransaction, weblogic.wtc.jatmi.gwatmi myGateway)`

Method Summary
`void` | `failure(ApplicationToMonitorInterface atmi, CallDescriptor cd, TPException failureReply)` This method is called if the service returned with a failure code of some kind.
`Transaction` | `getTransaction()` Returns the transaction associated with this request
`void` | `setTargetSubject(weblogic.security.acl.internal.AuthenticatedSubject kid, weblogic.security.acl.internal.AuthenticatedSubject subj)`
`void` | `success(ApplicationToMonitorInterface atmi, CallDescriptor cd, Reply successReply)` This method is called if the service returned successfully.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TpacallAsyncReplyImpl

    public TpacallAsyncReplyImpl(TpacallAsyncReply originalAsyncReply,
                                 TuxedoConnection originalAtmi,
                                 Transaction myTransaction,
                                 weblogic.wtc.jatmi.gwatmi myGateway)

Method Detail

### success

    public void success(ApplicationToMonitorInterface atmi,
                        CallDescriptor cd,
                        Reply successReply)

  This method is called if the service returned successfully. It will contain the reply in the TuxedoReply object, which can also be used to correlate the reply with the response via the CallDescriptor object

  Parameters:
    `atmi` - The connection associated with this request. Can be used for making other calls on this connection
    `successReply` - The reply from the service in the success case

### failure

    public void failure(ApplicationToMonitorInterface atmi,
                        CallDescriptor cd,
                        TPException failureReply)

  This method is called if the service returned with a failure code of some kind. It will contain the reply in the TPReplyException as well as the reason for failure.

  Parameters:
    `atmi` - The connection associated with this request. Can be used for making other calls on this connection
    `failureReply` - The reply from in the failure case. Note that in some cases this reply may not be from the service itself (for example, when the tpacall times out)

### getTransaction

    public Transaction getTransaction()

  Returns the transaction associated with this request
  Specified by:
    getTransaction in interface GatewayTpacallAsyncReply

### setTargetSubject

    public void setTargetSubject(weblogic.security.acl.internal.AuthenticatedSubject kid,
                                 weblogic.security.acl.internal.AuthenticatedSubject subj)

  Specified by:
    setTargetSubject in interface GatewayTpacallAsyncReply

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD